### Property

# Soup WebsocketConnection:keepalive-interval

#### Declaration

    property keepalive-interval: guint [ read, write, construct ]

#### Description [src]

Interval in seconds on when to send a ping message which will serve as a keepalive message.

If set to 0 the keepalive message is disabled.

Type: | `guint`

Setter method | `soup_websocket_connection_set_keepalive_interval()`
Getter method | `soup_websocket_connection_get_keepalive_interval()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no